Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.apifacade
Interface IXbrlInstance

All Known Implementing Classes:
  XbrlInstance

    public interface IXbrlInstance

Interfaz que debe cumplir una clase que pretende encapsular un objeto XBRL del tipo Instance
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Method Summary
`java.lang.Object` | `getDts()` Devuelve el DTS de una instancia
`java.lang.Object` | `getFootNoteLink()` Devuelve el link al comentario de una instancia
`java.lang.Object` | `getInstance()` Devuelve un Instance como object
`void` | `setDts(java.lang.Object dts)` Establece el DTS de una instancia
`void` | `setFootNoteLink(java.lang.Object footNoteLink)` Establece el link al comentario de una instancia
`void` | `setInstance(java.lang.Object instance)` Establece un Instance a partir de un object

Method Detail

### getInstance

    java.lang.Object getInstance()

  Devuelve un Instance como object

  Returns:
    Objeto instance

### setInstance

    void setInstance(java.lang.Object instance)

  Establece un Instance a partir de un object

  Parameters:
    `instance` - object que crea la instancia

### getDts

    java.lang.Object getDts()

  Devuelve el DTS de una instancia

  Returns:
    DTS

### setDts

    void setDts(java.lang.Object dts)

  Establece el DTS de una instancia

  Parameters:
    `dts` - DTS

### getFootNoteLink

    java.lang.Object getFootNoteLink()

  Devuelve el link al comentario de una instancia

  Returns:
    link al footnote

### setFootNoteLink

    void setFootNoteLink(java.lang.Object footNoteLink)

  Establece el link al comentario de una instancia

  Parameters:
    `footNoteLink` - link al footnote

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD